libppx-derivers-ocaml-dev_1.2.1-1_amd64.deb


Advertisement

Description

libppx-derivers-ocaml-dev - interoperability of ppx-deriving and ppx-type-conv

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename libppx-derivers-ocaml-dev_1.2.1-1_amd64.deb
Package name libppx-derivers-ocaml-dev
Package version 1.2.1
Package release 1
Package architecture amd64
Package type deb
Category ocaml
Homepage https://github.com/diml/ppx_derivers
License -
Maintainer Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Download size 14.43 KB
Installed size 70.00 KB

Alternatives

Package Version Architecture Repository
libppx-derivers-ocaml-dev_1.2.1-1_i386.deb 1.2.1 i386 Debian Main
libppx-derivers-ocaml-dev - - -

Requires

Name Value
ocaml-nox-4.05.0 -

Provides

Name Value
libppx-derivers-ocaml-dev-rcf53 -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libppx-derivers-ocaml-dev_1.2.1-1_amd64.deb
Source Package ppx-derivers

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libppx-derivers-ocaml-dev deb package:
    # sudo apt-get install libppx-derivers-ocaml-dev

Files

Path
/usr/lib/ocaml/ppx_derivers/META
/usr/lib/ocaml/ppx_derivers/dune-package
/usr/lib/ocaml/ppx_derivers/opam
/usr/lib/ocaml/ppx_derivers/ppx_derivers.a
/usr/lib/ocaml/ppx_derivers/ppx_derivers.cma
/usr/lib/ocaml/ppx_derivers/ppx_derivers.cmi
/usr/lib/ocaml/ppx_derivers/ppx_derivers.cmt
/usr/lib/ocaml/ppx_derivers/ppx_derivers.cmti
/usr/lib/ocaml/ppx_derivers/ppx_derivers.cmx
/usr/lib/ocaml/ppx_derivers/ppx_derivers.cmxa
/usr/lib/ocaml/ppx_derivers/ppx_derivers.cmxs
/usr/lib/ocaml/ppx_derivers/ppx_derivers.ml
/usr/lib/ocaml/ppx_derivers/ppx_derivers.mli
/usr/share/doc/libppx-derivers-ocaml-dev/README.md
/usr/share/doc/libppx-derivers-ocaml-dev/changelog.Debian.gz
/usr/share/doc/libppx-derivers-ocaml-dev/changelog.gz
/usr/share/doc/libppx-derivers-ocaml-dev/copyright
/var/lib/ocaml/lintian/libppx-derivers-ocaml-dev.info
/var/lib/ocaml/md5sums/libppx-derivers-ocaml-dev.md5sums

Changelog

2019-08-19 - St├ęphane Glondu <glondu@debian.org>
ppx-derivers (1.2.1-1) unstable; urgency=medium
* Team upload
* New upstream release
* Bump debhelper compat level to 12
* Bump Standards-Version to 4.4.0
2018-07-10 - Ralf Treinen <treinen@debian.org>
ppx-derivers (1.2-4) unstable; urgency=medium
* Add build-dependency opam, needed since jbuilder invokes opam-installer
2018-07-10 - Ralf Treinen <treinen@debian.org>
ppx-derivers (1.2-3) unstable; urgency=medium
* d/rules: install using "jbuilder install"
* build-dependencies: jbuilder renamed to dune
* add libppx-derivers-ocaml-dev.docs to install README.md
2018-07-09 - Ralf Treinen <treinen@debian.org>
ppx-derivers (1.2-2) unstable; urgency=medium
* Update Vcs-* to salsa
* Standards-Version : 4.1.5 (no change)
2018-03-05 - Ralf Treinen <treinen@debian.org>
ppx-derivers (1.2-1) unstable; urgency=medium
* Initial package (closes: #878803)

See Also

Package Description
libppx-deriving-ocaml-dev_4.4-2_amd64.deb type-driven code generation for OCaml (dev files)
libppx-deriving-ocaml_4.4-2_amd64.deb type-driven code generation for OCaml (runtime files)
libppx-deriving-yojson-ocaml-dev_3.5.1-2_amd64.deb OCaml syntax extension for JSON serialization
libppx-driver-ocaml-dev_113.33.03-1_amd64.deb feature-full driver for OCaml AST transformers (dev files)
libppx-driver-ocaml_113.33.03-1_amd64.deb feature-full driver for OCaml AST transformers (runtime files)
libppx-optcomp-ocaml-dev_113.33.03-1+b1_amd64.deb optional compilation for OCaml (dev files)
libppx-optcomp-ocaml_113.33.03-1+b1_amd64.deb optional compilation for OCaml (runtime files)
libppx-sexp-conv-ocaml-dev_113.33.03-2+b1_amd64.deb generation of S-expressions from type definitions (dev files)
libppx-sexp-conv-ocaml_113.33.03-2+b1_amd64.deb generation of S-expressions from type definitions (runtime files)
libppx-tools-ocaml-dev_5.0+4.05.0-1+b1_amd64.deb tools for authors of OCaml syntactic tools
libppx-tools-versioned-ocaml-dev_5.2.3-1_amd64.deb Tools for authors of OCaml syntactic tools (Development package)
libppx-tools-versioned-ocaml-doc_5.2.3-1_all.deb Documentation for ppx-tools-versioned
libppx-tools-versioned-ocaml_5.2.3-1_amd64.deb Tools for authors of OCaml syntactic tools (Runtime library)
libppx-type-conv-ocaml-dev_113.33.03-1+b1_amd64.deb support library for type-driven code generators (dev files)
libppx-type-conv-ocaml_113.33.03-1+b1_amd64.deb support library for type-driven code generators (runtime files)
Advertisement
Advertisement